Loading...
Searching...
No Matches
BALL::VIEW::InterpolateColorProcessor Class Reference
Visualisation » Model Processors

`#include <BALL/VIEW/MODELS/colorProcessor.h>`

Inheritance diagram for BALL::VIEW::InterpolateColorProcessor:

## Public Types

enum | Mode { USE_OUTSIDE_COLOR = 0 , DEFAULT_COLOR_FOR_OUTSIDE_COLORS , NO_OUTSIDE_COLORS }
Public Types inherited from BALL::VIEW::ColorProcessor
typedef HashSet< const Composite * > | CompositeSet
| A HashSet with the used Composites, see also Representation.
typedef HashGrid3< const Atom * > | AtomGrid
| a threedimensioal grid with the pointers to the atoms
typedef HashGridBox3< const Atom * > | AtomBox
| a single box in the threedimensional grid
Public Types inherited from BALL::UnaryFunctor< GeometricObject *, Processor::Result >
typedef Processor::Result | result_type
typedef GeometricObject * | argument_type
typedef GeometricObject *& | argument_reference
typedef const GeometricObject *& | const_argument_reference
typedef GeometricObject ** | argument_pointer
typedef const GeometricObject ** | const_argument_pointer

## Public Member Functions

| InterpolateColorProcessor ()
| InterpolateColorProcessor (const InterpolateColorProcessor &pro)
virtual bool | start ()
void | setMode (Mode mode)
Mode | getMode () const
vector< ColorRGBA > & | getColors ()
const vector< ColorRGBA > & | getColors () const
void | setColors (const vector< ColorRGBA > &colors)
void | setMinColor (const ColorRGBA &color)
void | setMaxColor (const ColorRGBA &color)
const ColorRGBA & | getMinColor () const
const ColorRGBA & | getMaxColor () const
void | setMaxValue (float value)
float | getMaxValue () const
void | setMinValue (float value)
float | getMinValue () const
virtual void | interpolateColor (float value, ColorRGBA &color_to_be_set)
Public Member Functions inherited from BALL::VIEW::ColorProcessor
| ColorProcessor ()
| Default Constructor.
| ColorProcessor (const ColorProcessor &color_calculator)
| Copy constructor.
virtual | ~ColorProcessor ()
| Destructor.
virtual void | clear ()
void | set (const ColorProcessor &color_calculator)
| Assignment.
const ColorProcessor & | operator= (const ColorProcessor &color_calculator)
bool | updateAlwaysNeeded ()
void | setDefaultColor (const ColorRGBA &color)
const ColorRGBA & | getDefaultColor () const
virtual Processor::Result | operator() (GeometricObject *&object)
virtual void | getColor (const Composite &composite, ColorRGBA &color_to_be_set)
Size | getTransparency () const
virtual void | setTransparency (Size value)
void | setComposites (const std::list< const Composite * > *composites)
const std::list< const Composite * > * | getComposites ()
| Return a pointer to the Composites.
void | clearAtomGrid ()
void | setAdditionalGridDistance (float distance)
float | getAdditionalGridDistance () const
void | setMinGridSpacing (float spacing)
AtomGrid & | getAtomGrid ()
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
void | setModelType (ModelType type)
virtual void | createAtomGrid (const Composite *from_mesh=0)
const Atom * | getClosestItem (const Vector3 &v) const
Public Member Functions inherited from BALL::UnaryProcessor< GeometricObject * >
| UnaryProcessor ()
virtual | ~UnaryProcessor ()
virtual bool | finish ()
virtual Processor::Result | operator() (GeometricObject *&)

## Protected Attributes

ColorRGBA | min_color_
ColorRGBA | max_color_
vector< ColorRGBA > | colors_
Mode | mode_
float | max_value_
float | min_value_
float | x_
Protected Attributes inherited from BALL::VIEW::ColorProcessor
bool | update_always_needed_
ColorRGBA | default_color_
ColorRGBA | selection_color_
Size | transparency_
const std::list< const Composite * > * | composites_
AtomGrid | atom_grid_
ModelType | model_type_
const Composite * | last_composite_of_grid_
float | additional_grid_distance_
float | min_spacing_

## Additional Inherited Members

Protected Member Functions inherited from BALL::VIEW::ColorProcessor
virtual void | colorMeshFromGrid_ (Mesh &mesh)
virtual bool | canUseMeshShortcut_ (const Composite &)

## Detailed Description

Base class for ColorProcessors, that interpolate between two values

Definition at line 206 of file colorProcessor.h.

## Member Enumeration Documentation

## Mode

enum BALL::VIEW::InterpolateColorProcessor::Mode

Enumerator
USE_OUTSIDE_COLOR |
DEFAULT_COLOR_FOR_OUTSIDE_COLORS |
NO_OUTSIDE_COLORS |

Definition at line 212 of file colorProcessor.h.

## Constructor & Destructor Documentation

## InterpolateColorProcessor() [1/2]

BALL::VIEW::InterpolateColorProcessor::InterpolateColorProcessor | ( |  | ) |

## InterpolateColorProcessor() [2/2]

BALL::VIEW::InterpolateColorProcessor::InterpolateColorProcessor | ( | const InterpolateColorProcessor & | pro | ) |

## Member Function Documentation

## getColors() [1/2]

vector< ColorRGBA > & BALL::VIEW::InterpolateColorProcessor::getColors | ( |  | ) |

inline

Definition at line 243 of file colorProcessor.h.

## getColors() [2/2]

const vector< ColorRGBA > & BALL::VIEW::InterpolateColorProcessor::getColors | ( |  | ) | const

inline

Definition at line 246 of file colorProcessor.h.

## getMaxColor()

const ColorRGBA & BALL::VIEW::InterpolateColorProcessor::getMaxColor | ( |  | ) | const

## getMaxValue()

float BALL::VIEW::InterpolateColorProcessor::getMaxValue | ( |  | ) | const

inline

Definition at line 267 of file colorProcessor.h.

## getMinColor()

const ColorRGBA & BALL::VIEW::InterpolateColorProcessor::getMinColor | ( |  | ) | const

## getMinValue()

float BALL::VIEW::InterpolateColorProcessor::getMinValue | ( |  | ) | const

inline

Definition at line 273 of file colorProcessor.h.

## getMode()

Mode BALL::VIEW::InterpolateColorProcessor::getMode | ( |  | ) | const

inline

Definition at line 240 of file colorProcessor.h.

## interpolateColor()

virtual void BALL::VIEW::InterpolateColorProcessor::interpolateColor | ( | float | value,
|  | ColorRGBA & | color_to_be_set )

virtual

Interpolate a color between the given colors. To be overloaded in derived classes.

## setColors()

void BALL::VIEW::InterpolateColorProcessor::setColors | ( | const vector< ColorRGBA > & | colors | ) |

inline

Definition at line 249 of file colorProcessor.h.

## setMaxColor()

void BALL::VIEW::InterpolateColorProcessor::setMaxColor | ( | const ColorRGBA & | color | ) |

## setMaxValue()

void BALL::VIEW::InterpolateColorProcessor::setMaxValue | ( | float | value | ) |

inline

Definition at line 264 of file colorProcessor.h.

## setMinColor()

void BALL::VIEW::InterpolateColorProcessor::setMinColor | ( | const ColorRGBA & | color | ) |

## setMinValue()

void BALL::VIEW::InterpolateColorProcessor::setMinValue | ( | float | value | ) |

inline

Definition at line 270 of file colorProcessor.h.

## setMode()

void BALL::VIEW::InterpolateColorProcessor::setMode | ( | Mode | mode | ) |

inline

Definition at line 237 of file colorProcessor.h.

## start()

virtual bool BALL::VIEW::InterpolateColorProcessor::start | ( |  | ) |

virtual

start method

Reimplemented from BALL::VIEW::ColorProcessor.

## Member Data Documentation

## colors_

vector<ColorRGBA> BALL::VIEW::InterpolateColorProcessor::colors_

protected

Definition at line 287 of file colorProcessor.h.

## max_color_

ColorRGBA BALL::VIEW::InterpolateColorProcessor::max_color_

protected

Definition at line 284 of file colorProcessor.h.

## max_value_

float BALL::VIEW::InterpolateColorProcessor::max_value_

protected

Definition at line 291 of file colorProcessor.h.

## min_color_

ColorRGBA BALL::VIEW::InterpolateColorProcessor::min_color_

protected

Definition at line 283 of file colorProcessor.h.

## min_value_

float BALL::VIEW::InterpolateColorProcessor::min_value_

protected

Definition at line 292 of file colorProcessor.h.

## mode_

Mode BALL::VIEW::InterpolateColorProcessor::mode_

protected

Definition at line 289 of file colorProcessor.h.

## x_

float BALL::VIEW::InterpolateColorProcessor::x_

protected

Definition at line 295 of file colorProcessor.h.